Package net.shibboleth.idp.profile.spring.factory

# Class FlowDefinitionRegistryFactoryBean.DefaultFlowRegistry

java.lang.Object
org.springframework.webflow.definition.registry.FlowDefinitionRegistryImpl
net.shibboleth.idp.profile.spring.factory.FlowDefinitionRegistryFactoryBean.DefaultFlowRegistry

All Implemented Interfaces:
  `FlowDefinitionLocator`, `FlowDefinitionRegistry`

Enclosing class:
  FlowDefinitionRegistryFactoryBean

private static class FlowDefinitionRegistryFactoryBean.DefaultFlowRegistry extends FlowDefinitionRegistryImpl
Copied from SWF, a basic registry implementation.

## Field Summary

Fields
Modifier and Type
Field
Description
`private FlowModelRegistry`
`flowModelRegistry`
The model registry.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`DefaultFlowRegistry()`

## Method Summary

Modifier and Type
Method
Description
`FlowModelRegistry`
`getFlowModelRegistry()`
Get the model registry.
`void`
`setParent(FlowDefinitionRegistry parent)`

### Methods inherited from class org.springframework.webflow.definition.registry.FlowDefinitionRegistryImpl

`containsFlowDefinition, destroy, getFlowDefinition, getFlowDefinitionCount, getFlowDefinitionIds, getParent, registerFlowDefinition, registerFlowDefinition, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### flowModelRegistry

@Nonnull private FlowModelRegistry flowModelRegistry
The model registry.

## Constructor Details

### DefaultFlowRegistry

private DefaultFlowRegistry()

## Method Details

### getFlowModelRegistry

@Nonnull public FlowModelRegistry getFlowModelRegistry()
Get the model registry.

Returns:
  the model registry

### setParent

public void setParent(@Nullable FlowDefinitionRegistry parent)

Specified by:
  `setParent` in interface `FlowDefinitionRegistry`
Overrides:
  `setParent` in class `FlowDefinitionRegistryImpl`